## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global extension   no-overview
%global uuid        %{extension}@fthx

Name:           gnome-shell-extension-%{extension}
Version:        48
Release:        %autorelease
Summary:        GNOME Shell extension for no overview at start-up
License:        GPL-3.0-only
URL:            https://extensions.gnome.org/extension/4099/no-overview/
Source0:        https://github.com/fthx/no-overview/archive/refs/tags/v%{version}.zip#/no-overview-%{version}.zip

Source1:        https://raw.githubusercontent.com/fthx/no-overview/main/LICENSE#/%{extension}-LICENSE
Source2:        https://raw.githubusercontent.com/fthx/no-overview/main/README.md#/%{extension}-README.md
#Patch0:         %%{name}-HEAD.patch
BuildArch:      noarch
# rhbz#2001561 Delete to require gnome-shell-extension-common
#Requires:       gnome-shell-extension-common
Recommends:     gnome-extensions-app
BuildRequires:  git


%description
GNOME Shell extension for no overview at start-up. For GNOME Shell 40+.

%prep
%autosetup -n %{extension}-%{version} -S git

%build
# Nothing to build here

%install
install -d -m 0755 %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}

# install main extension files
cp -rp *.js metadata.json \
  %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}

%files
%doc README.md
%license LICENSE
%{_datadir}/gnome-shell/extensions/%{uuid}


%changelog
## START: Generated by rpmautospec
* Fri Feb 14 2025 Takao Fujiwara <tfujiwar@redhat.com> - 48-1
- Bump to 48

* Tue Jan 21 2025 Takao Fujiwara <tfujiwar@redhat.com> - 47-3
- Add gnome-shell-48

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 47-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Sep 20 2024 Takao Fujiwara <tfujiwar@redhat.com> - 47-1
- Bump to 47

* Fri Sep 06 2024 Takao Fujiwara <tfujiwar@redhat.com> - 46-4
- Add gnome-shell-47

* Fri Sep 06 2024 Takao Fujiwara <tfujiwar@redhat.com> - 46-3
- Impelemt CI

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 46-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed May 22 2024 Takao Fujiwara <tfujiwar@redhat.com> - 46-1
- Bump to 46

* Wed Feb 28 2024 Takao Fujiwara <tfujiwar@redhat.com> - 16-4
- Add gnome-shell-46

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 22 2023 Takao Fujiwara <tfujiwar@redhat.com> - 16-1
- Bump to 16

* Fri Sep 22 2023 Takao Fujiwara <tfujiwar@redhat.com> - 15-1
- Bump to 15

* Thu Aug 17 2023 Takao Fujiwara <tfujiwar@redhat.com> - 13-3
- Add gnome-shell-45

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Apr 04 2023 Takao Fujiwara <tfujiwar@redhat.com> - 13-1
- Bump to 13

* Tue Feb 21 2023 Takao Fujiwara <tfujiwar@redhat.com> - 12-3
- Add gnome-shell-44

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Nov 16 2022 Takao Fujiwara <tfujiwar@redhat.com> - 12-1
- Migrate license tag to SPDX
- Bump to 12

* Sat Aug 13 2022 Takao Fujiwara <tfujiwar@redhat.com> - 11-4
- Add gnome-shell-43

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 18 2022 Takao Fujiwara <tfujiwar@redhat.com> - 11-1
- Bump to 11

* Tue Jan 18 2022 Takao Fujiwara <tfujiwar@redhat.com> - 8-90
- Add gnome-shell-42

* Tue Sep 07 2021 Takao Fujiwara <tfujiwar@redhat.com> - 8-4
- Workaround #2001561 Delete to require gnome-shell-extension-common

* Tue Aug 24 2021 Takao Fujiwara <tfujiwar@redhat.com> - 8-3
- Add gnome-shell-41

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 15 2021 Takao Fujiwara <tfujiwar@redhat.com> - 8-1
- Resolves #1969604 activates after unlock

* Wed Apr 14 2021 Takao Fujiwara <tfujiwar@redhat.com> - 4-1
- Initial integration

## END: Generated by rpmautospec
